Subject: Re: Xerces C++ support in cygwin
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sun, 25 Aug 2002 03:39:31 +0200

Hallo Abraham,

> I've been able to get xerces c++ to build in cygwin and
> have submitted a couple of patches to enable this.

#=============== CygWin SPECIFIC OPTIONS =========================
ifeq (${PLATFORM}, CYGWIN)
   PLATFORM_COMPILE_OPTIONS = \
           -D__${PLATFORM}__ \            <---------- This is
           -I/usr/include \               <---------- really not
           -I/usr/include/w32api          <---------- neccessary
   MAKE_SHARED = ${CXX} -shared ${LDFLAGS}
   MAKE_SHARED_C = ${CC} -shared ${LDFLAGS}
   ifeq (${TRANSCODER}, ICU)
           ALLLIBS = ${LIBS} -L/usr/lib -L/usr/local/lib -L/usr/ccs/lib -licu-uc -licudata -lc
   else
           ALLLIBS = ${LIBS} -L/usr/lib
   endif
   EXTRA_LINK_OPTIONS = \
           -Xlinker --warn-once \
           -Xlinker -Map -Xlinker $(XML_LIB_DIR)/${LIBNAME}${VER}.map \
           -Xlinker --output-def -Xlinker $(XML_LIB_DIR)/${LIBNAME}${VER}.def \
           -Xlinker --out-implib -Xlinker $(XML_LIB_DIR)/${LIBNAME}${VER}.lib

Cygwin import libs should have the suffix '.dll.a' not '.lib'

      SHLIBSUFFIX=.dll
endif

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/